Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkDataPropertySubDataPropertiesPairElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<HierarchyPair<O>>
              org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkPairElementHandler<OWLDataProperty>
                  org.semanticweb.owlapi.owllink.parser.OWLlinkDataPropertySubDataPropertiesPairElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<HierarchyPair<OWLDataProperty>>

    public class OWLlinkDataPropertySubDataPropertiesPairElementHandler

extends AbstractOWLlinkPairElementHandler<OWLDataProperty>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 02.11.2009

Field Summary

Fields inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkPairElementHandler
`subSetOfSynset, superSynset`

Constructor Summary
`OWLlinkDataPropertySubDataPropertiesPairElementHandler(OWLXMLParserHandler handler)`

Method Summary
`void` | `endElement()`
`void` | `handleChild(OWLlinkDataPropertySynsetElementHandler handler)`
`void` | `handleChild(OWLlinkSubDataPropertySynsetsElementHandler handler)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkPairElementHandler
`getOWLLinkObject, startElement`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler, getRequest, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLlinkDataPropertySubDataPropertiesPairElementHandler

    public OWLlinkDataPropertySubDataPropertiesPairElementHandler(OWLXMLParserHandler handler)

Method Detail

### handleChild

    public void handleChild(OWLlinkDataPropertySynsetElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<HierarchyPair<OWLDataProperty>>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<HierarchyPair<OWLDataProperty>>`

### handleChild

    public void handleChild(OWLlinkSubDataPropertySynsetsElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<HierarchyPair<OWLDataProperty>>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<HierarchyPair<OWLDataProperty>>`

### endElement

    public void endElement()
                    throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD